state("Osmos")
{
    int EndLevelIndicator : 0x191005;
    int NbGoalMotesLeft : 0x191038;

     /*Known facts:
     *
     * NbGoalMotesLeft indicate the number of Motes left to complete the objective
     * Set to 0 when irrelevant.
     * And set to 19 when on the main menu.
     *
     */

     /*Known adresses :
     *
     * 0x190FE4 : Sublevel number - First letter of the level exist but is not usable for now.
     * 0x190FEC : Number of tries for current level - includes restarts
     * 0x190FF0 : Number of tries for current level - without restarts
     *
     */

}

start
{
    return (current.NbGoalMotesLeft != old.NbGoalMotesLeft) && (old.NbGoalMotesLeft == 19) && (current.NbGoalMotesLeft == 0); //Starts upon leaving main menu
}

split
{
    return (old.EndLevelIndicator != current.EndLevelIndicator) && (current.EndLevelIndicator == 257); //Splits on successful level end.
}